from __future__ import absolute_import
import inspect
def bfs10127(bfs10115, *args, **bfs10114):
  (bfs10116, bfs10120, bfs10120, defaults) = inspect.getargspec(bfs10115)
  bfs10117 = (0 if (defaults is None) else len(defaults))

  bfs10121 = []
  for (i, bfs10122) in enumerate(bfs10116):
    if (i < len(args)):
      value = args[i]
      bfs10121.append(repr(value))
    elif (bfs10122 in bfs10114):
      value = bfs10114[bfs10122]
      bfs10124 = (i >= (len(bfs10116) - bfs10117))
      prefix = ((bfs10122 + '=') if bfs10124 else '')

      bfs10121.append((prefix + repr(value)))


  for bfs10123 in args[len(bfs10116):]:
    bfs10121.append(repr(bfs10123))

  for bfs10125 in bfs10114:
    if (bfs10125 not in bfs10116):
      bfs10121.append(((bfs10125 + '=') + repr(bfs10114[bfs10125])))


  return ', '.join(bfs10121)

def bfs10132(bfs10126, *args, **bfs10130):
  return ('%s(%s)' % (bfs10126.__name__, bfs10127(bfs10126, *args, **bfs10130)))

